Skip to main content
PUT
/
transfer
/
crypto-destination-address
Put Crypto Destination Addresses
curl --request PUT \
  --url https://api.paxos.com/v2/transfer/crypto-destination-address \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "identity_id": "<string>",
  "address": "<string>",
  "nickname": "<string>",
  "bookmarked_status": true,
  "travelrule_metadata": {
    "beneficiary": {
      "self": true
    },
    "vasp": {
      "id": "<string>",
      "custom_vasp_name": "<string>",
      "custom_vasp_website": "<string>"
    },
    "transfer_purpose": "<string>"
  }
}
'
import requests

url = "https://api.paxos.com/v2/transfer/crypto-destination-address"

payload = {
"id": "<string>",
"identity_id": "<string>",
"address": "<string>",
"nickname": "<string>",
"bookmarked_status": True,
"travelrule_metadata": {
"beneficiary": { "self": True },
"vasp": {
"id": "<string>",
"custom_vasp_name": "<string>",
"custom_vasp_website": "<string>"
},
"transfer_purpose": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
identity_id: '<string>',
address: '<string>',
nickname: '<string>',
bookmarked_status: true,
travelrule_metadata: {
beneficiary: {self: true},
vasp: {id: '<string>', custom_vasp_name: '<string>', custom_vasp_website: '<string>'},
transfer_purpose: '<string>'
}
})
};

fetch('https://api.paxos.com/v2/transfer/crypto-destination-address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": {
    "id": "31f20a34-c1eb-4c86-adad-1e46bc271e1a",
    "crypto_network": "ETHEREUM",
    "address": "0xe4B0aCA9FB669817775274775b20e52118595515",
    "nickname": "my_new_address",
    "status": "APPROVED",
    "created_at": "2024-01-01T00:00:00Z",
    "bookmarked": true
  }
}
OAuth Scope
transfer:write_crypto_destination_address

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Body

application/json
id
string

Optional field to specify the crypto destination address to update by its unique id. Specify either id or the (crypto_network, address, identity_id) tuple, not both.

identity_id
string

The Identity that owns this destination address. Required for 3P integrations. When looking up an existing address to update, (crypto_network, address, identity_id) uniquely identifies it; omit for first-party addresses with no identity scope.

crypto_network
enum<string>

A CryptoNetwork is a blockchain transmitting cryptocurrencies.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER
address
string

Specify the address of the crypto destination address to create/update. Specify either id or the (crypto_network, address, identity_id) tuple, not both.

nickname
string

Optional field to update the nickname of the crypto destination address. Defaults to an auto-generated nickname if not specified on creation.

bookmarked_status
boolean

Optional field to update the bookmarked status of the crypto destination address. Defaults to false if not specified on creation.

travelrule_metadata
object

Travel Rule metadata for the destination address. See the Travel Rule guide.

Response

200 - application/json

A successful response.

address
object
Example:
{
"id": "31f20a34-c1eb-4c86-adad-1e46bc271e1a",
"crypto_network": "ETHEREUM",
"address": "0xe4B0aCA9FB669817775274775b20e52118595515",
"nickname": "my_new_address",
"status": "APPROVED",
"created_at": "2024-01-01T00:00:00Z",
"bookmarked": true
}